FROM fedora:38

# Repository for Symfony CLI.
COPY symfony-cli.repo /etc/yum.repos.d/symfony-cli.repo

RUN dnf install -y dnf-plugins-core

RUN dnf copr enable -y tliardon/saxon

RUN dnf install -y \
    vim \
    symfony-cli \
    php-cli \
    php-common \
    php-intl \
    php-mbstring \
    php-opcache \
    php-pecl-zip \
    php-xml \
    php-saxon \
    gdb \
    procps-ng

RUN dnf debuginfo-install -y \
    php-cli \
    php-common \
    php-xml \
    php-opcache \
    php-intl \
    php-mbstring \
    php-saxon

COPY --from=docker.io/library/composer:2 /usr/bin/composer /usr/local/bin/composer

RUN mkdir /opt/app

WORKDIR /opt/app